package com.jeeplus.modules.sg.managementcenter.constructionProject.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.constructionProject.entity.ConstructionProjectTemporary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface ConstructionProjectTemporaryMapper extends BaseMapper<ConstructionProjectTemporary> {
    Integer insertList(@Param("list") List<ConstructionProjectTemporary> list);

    List<ConstructionProjectTemporary> findListTemporary(@Param(value = "list") List<String> strings);
    Integer updateStatus(ConstructionProjectTemporary constructionProjectTemporary);
    List<ConstructionProjectTemporary> findTreeList(ConstructionProjectTemporary constructionProjectTemporary);
    void updateTime(ConstructionProjectTemporary constructionProjectTemporary);

    //情况表中所有数据
    Integer deleteAll();
    //修改停电 带电
    Integer updatePower(ConstructionProjectTemporary constructionProjectTemporary);

}
